Skip to main content

Get Location Aggregate Rating Resource

API Description

Get a location's aggregate rating resource. Supply the unique Apple-generated location ID assigned to the partner’s description of a location along with the resource name, and the service will return the corresponding aggregate rating resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/locations/{locationId}/aggregate-ratings
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/aggregate-ratings

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 343deff4-b610-4a5f-9d0c-159d702a5ddf
content-type: application/json
etag: "7ef2d2b4-b6e3-11ed-afa1-0242ac120002"

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-07T04:55:22.00Z",
"state": "PUBLISHED",
"etag": "7ef2d2b4-b6e3-11ed-afa1-0242ac120002",
"aggregateRatingDetails": {
"starRatings": [
{
"category": "OVERALL",
"bestRating": 5,
"worstRating": 1,
"ratingValue": 4.0,
"ratingCount": 510,
"reviewCount": 255,
"distribution": [
{ "key": "1", "value": 7 },
{ "key": "2", "value": 19 },
{ "key": "3", "value": 25 },
{ "key": "4", "value": 358 },
{ "key": "5", "value": 95 }
]
}
],
"pricing": {
"indicator": 4
},
"type": "USER"
}
}